<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@E1E3=63</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E00D=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@E01E=00D0</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Use on or before the player selection screen</comment>
    <parameter>
      <item value="0x10">Kevin</item>
      <item value="0x11">Gear</item>
      <item value="0x12">Zill</item>
      <item value="0x14">Garuda</item>
      <item value="0x15">Mevella</item>
      <item value="0x16">Gonza</item>
      <item value="0x17">Chen</item>
      <item value="0x18">Fharoah</item>
      <item value="0x19">#Dr.D</item>
      <item value="0x1A">#TX-No.3</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1573=param</action>
    </script>
  </cheat>

  <cheat desc="Select Colour PL1"> <comment>Use on or before the player selection screen</comment>
    <parameter>
      <item value="0x00">Default</item>
      <item value="0x0F">Alternate</item>
      <item value="0x01">Secret (Kevin Only)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1575=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E04D=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@E05E=00D0</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Use on or before the player selection screen</comment>
    <parameter>
      <item value="0x10">Kevin</item>
      <item value="0x11">Gear</item>
      <item value="0x12">Zill</item>
      <item value="0x14">Garuda</item>
      <item value="0x15">Mevella</item>
      <item value="0x16">Gonza</item>
      <item value="0x17">Chen</item>
      <item value="0x18">Fharoah</item>
      <item value="0x19">#Dr.D</item>
      <item value="0x1A">#TX-No.3</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1577=param</action>
    </script>
  </cheat>

  <cheat desc="Select Colour PL2"> <comment>Use on or before the player selection screen</comment>
    <parameter>
      <item value="0x00">Default</item>
      <item value="0x0F">Alternate</item>
      <item value="0x01">Secret (Kevin Only)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1579=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
